#include "common/common.hlsl"

struct VSInput
{
  float3 pos : pos;
  float4 color    : color;
};

struct VSOutput
{
  float4 pos : SV_POSITION;
  float4 color    : COLOR;
};

VSOutput main(VSInput input)
{
  VSOutput output;
  output.pos = mul(float4(input.pos, 1.0f), world_to_projection);
  output.color = input.color;
  output.color.r = frac(time);
  return output;
}